# Generated by Django 2.1.7 on 2020-02-24 13:51

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('angled', '0055_multi_date_committee'),
    ]

    operations = [
        migrations.CreateModel(
            name='info_unit_school_track',
            fields=[
                ('id', models.AutoField(primary_key=True, serialize=False)),
                ('eol', models.DateTimeField(blank=True, null=True)),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('project', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='angled.Project')),
                ('track', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='of_none_track', to='angled.Term')),
                ('transaction', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='angled.Transaction')),
                ('user', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'verbose_name_plural': 'school_track',
                'ordering': ['-created_at'],
                'verbose_name': 'school_track',
            },
        ),
        migrations.CreateModel(
            name='multi_school_track',
            fields=[
                ('id', models.AutoField(primary_key=True, serialize=False)),
                ('index', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='+', to='angled.ListIndex')),
                ('unit', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='+', to='angled.info_unit_school_track')),
            ],
        ),
        migrations.CreateModel(
            name='Reading_school_track',
            fields=[
                ('id', models.AutoField(primary_key=True, serialize=False)),
                ('audience', models.ForeignKey(default=0, on_delete=django.db.models.deletion.CASCADE, related_name='unit_audience_school_track', to='angled.Audience')),
                ('unit', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='readings', to='angled.info_unit_school_track')),
            ],
        ),
        migrations.CreateModel(
            name='Tagged_school_track',
            fields=[
                ('id', models.AutoField(primary_key=True, serialize=False)),
                ('tag', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='unit_tag_school_track', to='angled.Tag')),
                ('unit', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='tagged_school_track', to='angled.info_unit_school_track')),
            ],
        ),
        migrations.RemoveField(
            model_name='info_unit_school_info',
            name='sector',
        ),
    ]
